var assert = require('assert');
var csv = require('csvtojson')
var path = require('path');
var fs = require('fs');

describe('CSV To JSON', function() {
    describe('#Using npm module csvtojson', function() {
        it('should return same JSON as generated by our module', function(done) {
        	var MyJSON, TheirJSON;
            // Get our JSON
            MyJSON = fs.readFileSync(path.join(__dirname, '..', 'customer-data.json'), 'utf8');
            // Get JSON from csvtojson
            csv()
				.fromFile(path.join(__dirname, '..', 'customer-data.csv'))
				.then((jsonObj) => {
					TheirJSON = JSON.stringify(jsonObj, null, '\t');
					if(TheirJSON === MyJSON) {
						done();
					} else {
						done(0);
					}
				})
        });
    });
});